GNU bug report logs - #6513
vc-mtn to use "mtn automate"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Julio Merino <jmmv84@HIDDEN>; Keywords: moreinfo; merged with #7171; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 7171 <at> debbugs.gnu.org and Masatake YAMATO <yamato@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 4 Jun 2022 12:16:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 04 08:16:59 2022
Received: from localhost ([127.0.0.1]:57817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxSiA-00036O-Tw
	for submit <at> debbugs.gnu.org; Sat, 04 Jun 2022 08:16:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nxSi8-00030V-RL; Sat, 04 Jun 2022 08:16:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=lCDDfMfkGaRDtaC6LbYw6WloIl/aYxLUon8mSo3OJro=; b=gIeUmYCIvzfuK3huJ2G/ZbgB8P
 JEbA47OFQ5dGdi9Q2IthpYbcrLcsorEXVOev9zIOZ3OrRsjDMUlDtASE1xJMvYJfHIq2MOVCGS3zE
 NyjVhAzd9XqvUG/yp5/llUzNAOTyHSwCxE6UykCy0gfm+5gzCw/4Smgjgt50+myyDXQ0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nxShx-0003wp-OD; Sat, 04 Jun 2022 14:16:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#7171: vc-mtn to use "mtn automate"
References: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
 <87h762fo9n.fsf@HIDDEN> <bl7d6y75rz.fsf@HIDDEN>
 <87r156e6ji.fsf@HIDDEN>
X-Now-Playing: Farben's _textstar+_: "farben Says So Much Love (Remaster 2022)"
Date: Sat, 04 Jun 2022 14:16:45 +0200
In-Reply-To: <87r156e6ji.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 06 May 2022 22:43:13 +0200")
Message-ID: <87a6as8vyq.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: >> I don't object,
 but I think you may have missed >> >> https://debbugs.gnu.org/bug=6513#36
 >> >> which was a "quiet" comment explaining that the breakage was fixed
 >> 2010-11-08. This bug stayed ope [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 7171 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> I don't object, but I think you may have missed
>>
>> https://debbugs.gnu.org/bug=6513#36
>>
>> which was a "quiet" comment explaining that the breakage was fixed
>> 2010-11-08. This bug stayed open as basically an improvement request to
>> use "mtn automate".
>
> Yup.  debbugs-gnu still doesn't display "quiet" comments, I think.

Anyway, I've now made vc-mtn obsolete in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 6 May 2022 20:43:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 16:43:29 2022
Received: from localhost ([127.0.0.1]:50006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nn4nR-000884-27
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 16:43:29 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nn4nP-00087q-1u
 for 6513 <at> debbugs.gnu.org; Fri, 06 May 2022 16:43:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=gbU2heGigx3MF6qWj6Xgq1IsOj33gUP64bwSC0+VWmw=; b=DWEZBjrnvVvkgpUUbYan8Yy5Iy
 VGVECrdZBi6I0SLq3AcnV+AMU6K4dQe4Vpciw42Vl2NN6kO1IMfBbkgXLtoLNHAkEP6iNEUUiowPH
 esA0FQK7plpNAYoUMnn3pfjfv+5BPv3dNRyI/fQftbYe3D0BeqQ9sL+C4tliu1PDSsNs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nn4nC-0002q3-Lr; Fri, 06 May 2022 22:43:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#6513: bug#7171: vc-mtn to use "mtn automate"
References: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
 <87h762fo9n.fsf@HIDDEN> <bl7d6y75rz.fsf@HIDDEN>
X-Now-Playing: Boris's _Tears e.p_: "u fu fu"
Date: Fri, 06 May 2022 22:43:13 +0200
In-Reply-To: <bl7d6y75rz.fsf@HIDDEN> (Glenn Morris's message of
 "Fri, 06 May 2022 16:41:36 -0400")
Message-ID: <87r156e6ji.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Glenn Morris <rgm@HIDDEN> writes: > I don't object, but I
 think you may have missed > > https://debbugs.gnu.org/bug=6513#36 > > which
 was a "quiet" comment explaining that the breakage was fixed > 2010-11-08.
 This bug stayed open as b [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Glenn Morris <rgm@HIDDEN> writes:

> I don't object, but I think you may have missed
>
> https://debbugs.gnu.org/bug=6513#36
>
> which was a "quiet" comment explaining that the breakage was fixed
> 2010-11-08. This bug stayed open as basically an improvement request to
> use "mtn automate".

Yup.  debbugs-gnu still doesn't display "quiet" comments, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 6 May 2022 20:41:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 16:41:47 2022
Received: from localhost ([127.0.0.1]:49994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nn4ln-00084r-8J
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 16:41:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42372)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1nn4lk-00084e-AZ
 for 6513 <at> debbugs.gnu.org; Fri, 06 May 2022 16:41:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54562)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1nn4le-00049O-2K; Fri, 06 May 2022 16:41:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=89zYU8fULqD5VlCJwv+qX5JnATmEk6a8reaGyvY5lRA=; b=ZBjkeAFjoziWOvggl5A2
 qybpokRe7bHixmsifl8PF+9t42W0v6EfzHzF8KeasSgCPpg5rDqoGA4Qmr9dAmgC7CYcgK0jlAdhB
 jQqY5bS+UagCjJPIhnBTaH7heKVDjjE4tHwNfJ1jtrMx6mxCuTqPuVnQIRV5Frcqo3QG067cKQ6pX
 Q4LTZEbra/9tLI8QIIcDvj1Z87GOu2scCM3SZxyC0QK4b6JxqUrci3lKjbp8X1Wmm35rBJ0L7ncd2
 wrjx39Vw9DvLAEjXfjrBRA8gWM9+cPWYORlPU7v4qYy4rwfMC5LCbRp3cBfKRLkG1aZ+K+Xk8Zkw3
 MaRUcOacENVEag==;
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1nn4lc-0002wJ-PE; Fri, 06 May 2022 16:41:36 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#6513: bug#7171: vc-mtn to use "mtn automate"
References: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
 <87h762fo9n.fsf@HIDDEN>
X-Spook: Cornflower Mayfly AIEWS advisors xecutive Bacteria
X-Ran: t8r1><.6}h(iLz6c1Nn4V[HN050O&;-uk/g[]ew"~vWAQ:`F-M4/OVlun[eAk#QgC.A#C4
X-Hue: brightyellow
X-Attribution: GM
Date: Fri, 06 May 2022 16:41:36 -0400
In-Reply-To: <87h762fo9n.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 06 May 2022 21:35:00 +0200")
Message-ID: <bl7d6y75rz.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen wrote:

> According to this bug report, our vc-mtn doesn't work at all with the
> version that was current in 2010, and there's been zero bug reports
> about that in a decade.  So I think we should obsolete vc-mtn.el.

I don't object, but I think you may have missed

https://debbugs.gnu.org/bug=6513#36

which was a "quiet" comment explaining that the breakage was fixed
2010-11-08. This bug stayed open as basically an improvement request to
use "mtn automate".

(Disclaimer: I haven't tested any of this.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 6 May 2022 19:47:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 15:47:59 2022
Received: from localhost ([127.0.0.1]:49929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nn3vi-0004ZS-KU
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 15:47:58 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:9187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1nn3vf-0004Yc-Ul
 for 6513 <at> debbugs.gnu.org; Fri, 06 May 2022 15:47:56 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id E290D100596;
 Fri,  6 May 2022 15:47:49 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 3582610012C;
 Fri,  6 May 2022 15:47:44 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1651866464;
 bh=BYI7M4SBGR1O+bIM3zISu158R1Etq5WcAxHJmGAaaNk=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=FYeQq75ZYN9QL++DTQpvVMR0AAqBbycQQiNIajkmrJemAVJ/SJUC0jIV6o0sVnryv
 fVoA0PldI8t9PCpDeBe3yfnUIrLzY//CdoVD8w/iLfPQp9VBXVomQWP6cNXfeROOI/
 0lQfaZc79C6JCugNGH9kdT5NemFloNRH3BMa1PjMkoa38ba3U53aQI1XaS7HlIV17S
 nBP7XsvAEggLWIKtN693sTYuQYr6+wzVpMMgWVh4ctJ8ubyIGxge6YAEe8VMeqRqVI
 2prAUiw26sRIWEk4mFBNjroNTB6ComkxxHrZVyddAgTSaz+RP26xnkBd8UBZlsBC1n
 orUjLvzEWEGSw==
Received: from pastel (unknown [45.72.221.51])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 0838B12080E;
 Fri,  6 May 2022 15:47:44 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#7171: vc-mtn to use "mtn automate"
Message-ID: <jwvpmkq5tpv.fsf-monnier+emacs@HIDDEN>
References: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
 <87h762fo9n.fsf@HIDDEN>
Date: Fri, 06 May 2022 15:47:43 -0400
In-Reply-To: <87h762fo9n.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 06 May 2022 21:35:00 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.044 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> There's apparently not been any development on Monotone since 2014:
>
>   https://www.monotone.ca/
>
> According to this bug report, our vc-mtn doesn't work at all with the
> version that was current in 2010, and there's been zero bug reports
> about that in a decade.  So I think we should obsolete vc-mtn.el.
>
> Does anybody have any comments?

+1


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 6 May 2022 19:35:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 15:35:18 2022
Received: from localhost ([127.0.0.1]:49879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nn3jR-000211-P5
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 15:35:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nn3jP-00020e-3a
 for 6513 <at> debbugs.gnu.org; Fri, 06 May 2022 15:35:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Du3b9aC83mg0jiY19uf8YWiR5IrRLF8q2wtfszy4rIM=; b=VeOyLgsJQDVtYe+o6I3cf34lIh
 kxLZIwCDTO7d6eo0jseJy0im9rBKnKnUqqKvgLQN79/WkF81Vfbv/lhWTBxtylUv9v0G8octBuB2P
 ECuhSsNRMOIIGirJQEietIgL6pOWewgJeq8WPfRFnV4ihkEr4nJWwqM2iHeJuovZxXEk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nn3jD-0002AY-Ab; Fri, 06 May 2022 21:35:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 6513 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>, Dmitry
 Gutov <dgutov@HIDDEN>
Subject: Re: bug#7171: vc-mtn to use "mtn automate"
References: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
X-Now-Playing: The Smiths's _Complete (8): Louder Than Bombs_: "Girl Afraid"
Date: Fri, 06 May 2022 21:35:00 +0200
In-Reply-To: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
 (Julio Merino's message of "Fri, 25 Jun 2010 10:16:35 +0100")
Message-ID: <87h762fo9n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: There's apparently not been any development on Monotone since
 2014: https://www.monotone.ca/ According to this bug report, our vc-mtn doesn't
 work at all with the version that was current in 2010, and there's been zero
 bug reports about that in a decade. So I think we should obsolete vc-mtn.e
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6513
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

There's apparently not been any development on Monotone since 2014:

  https://www.monotone.ca/

According to this bug report, our vc-mtn doesn't work at all with the
version that was current in 2010, and there's been zero bug reports
about that in a decade.  So I think we should obsolete vc-mtn.el.

Does anybody have any comments?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.
Changed bug title to 'vc-mtn to use "mtn automate"' from 'vc-mtn broken with monotone 0.48 (can't even open files)' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 6513 7171. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 6 Jan 2012 21:40:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 06 16:40:20 2012
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RjHWO-0002ls-0m
	for submit <at> debbugs.gnu.org; Fri, 06 Jan 2012 16:40:20 -0500
Received: from mail-tul01m020-f172.google.com ([209.85.214.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <douglasdd@HIDDEN>) id 1RjHQI-0002ag-Ss
	for 6513 <at> debbugs.gnu.org; Fri, 06 Jan 2012 16:34:04 -0500
Received: by obcuz6 with SMTP id uz6so2299804obc.3
	for <6513 <at> debbugs.gnu.org>; Fri, 06 Jan 2012 13:30:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=gamma;
	h=mime-version:sender:from:date:x-google-sender-auth:message-id
	:subject:to:x-system-of-record:content-type;
	bh=GMMUhut1bi2cESzBXMyERhUTuDHTKO/PqDMf7zJgRHo=;
	b=jb27BqXWNff5ewDbQShnUek49SGvZzvu36EFtNX8Cjq+4kCeiTkr4HfkrjwrOT4NxK
	m7aE1Wtn0ePwwiYlFO3T4tKVyXie7vdslsfs4hzZOXa50/CCMhHjETawE8QcrCoNd516
	b9wOQr4o+Nc5HIhCEvbYXui+HRwusqbPF/QKY=
Received: by 10.182.122.71 with SMTP id lq7mr6144395obb.33.1325885424306;
	Fri, 06 Jan 2012 13:30:24 -0800 (PST)
Received: by 10.182.122.71 with SMTP id lq7mr6144389obb.33.1325885424187; Fri,
	06 Jan 2012 13:30:24 -0800 (PST)
MIME-Version: 1.0
Received: by 10.182.16.99 with HTTP; Fri, 6 Jan 2012 13:30:03 -0800 (PST)
From: Douglas Dickinson <douglasdd@HIDDEN>
Date: Fri, 6 Jan 2012 13:30:03 -0800
X-Google-Sender-Auth: VJ1AleeIB0X7gRaBPCIBO67OdhA
Message-ID: <CAFx2nznVoJK1phNyWXuhJ6PauEw1Gkt3GvKzyLTEVQg-C0dt3g@HIDDEN>
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)
To: 6513 <at> debbugs.gnu.org
X-System-Of-Record: true
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: 6513
X-Mailman-Approved-At: Fri, 06 Jan 2012 16:40:18 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

For the benefit of users with less emacs-fu who are broken on this bug...
Here's the simplest work around:

Download the latest version of vc-mtn.el from:
http://repo.or.cz/w/emacs.git/blob_plain?f=lisp/vc/vc-mtn.el

Find your emacs installation's copy of vc-mtn.el (or vc-mtn.elc),
move it somewhere else.

Copy the new version of vc-mtn.el into that directory.
NOTE: Even if the original was named *.elc your new file should be named *.el

(not being byte-compiled (.elc) will make it slower the first time
that you load a mtn version-controlled file, but for simplicity let's
not burden everyone with compiling files that are likely owned by
root)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513-quiet <at> debbugs.gnu.org:


Received: (at 6513-quiet) by debbugs.gnu.org; 21 Aug 2011 23:36:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 21 19:36:28 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QvHZ6-0003vT-Ey
	for submit <at> debbugs.gnu.org; Sun, 21 Aug 2011 19:36:28 -0400
Received: from vm-emlprdomr-05.its.yale.edu ([130.132.50.146])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <cyd@HIDDEN>) id 1QvHZ4-0003vL-4y
	for 6513-quiet <at> debbugs.gnu.org; Sun, 21 Aug 2011 19:36:27 -0400
Received: from furball (dhcp-128-36-14-148.central.yale.edu [128.36.14.148])
	(authenticated bits=0)
	by vm-emlprdomr-05.its.yale.edu (8.14.4/8.14.4) with ESMTP id
	p7LNY6en006060
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT)
	for <6513-quiet <at> debbugs.gnu.org>; Sun, 21 Aug 2011 19:34:06 -0400
From: Chong Yidong <cyd@HIDDEN>
To: 6513-quiet <at> debbugs.gnu.org
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)
Date: Sun, 21 Aug 2011 19:34:05 -0400
Message-ID: <877h66xrte.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Scanned-By: MIMEDefang 2.71 on 130.132.50.146
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 6513-quiet
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

A note about this bug: the original reported problem, VC being unable to
open Monotone-managed files, was fixed by Richard Levitte's 2010-11-08
change to vc-mtn.el.

That fix involved only tweaking the regexps to adjust to the new output.
A better approach is to use mtn automate, as suggested in this thread,
so we'll keep the bug open till then.




Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 5 Sep 2010 11:58:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 05 07:58:29 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OsDrg-0002bQ-Qk
	for submit <at> debbugs.gnu.org; Sun, 05 Sep 2010 07:58:29 -0400
Received: from mail-ww0-f42.google.com ([74.125.82.42])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jmmv84@HIDDEN>) id 1OsDrf-0002bI-7r
	for 6513 <at> debbugs.gnu.org; Sun, 05 Sep 2010 07:58:28 -0400
Received: by wwj40 with SMTP id 40so1140572wwj.3
	for <6513 <at> debbugs.gnu.org>; Sun, 05 Sep 2010 05:00:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:subject:mime-version
	:content-type:from:in-reply-to:date:cc:content-transfer-encoding
	:message-id:references:to:x-mailer;
	bh=ghASobDscqM/ROhJai3yvKxGApdzL+XET8E3hVVDhZA=;
	b=SvpNs4v9x1AB49sItyeIs3cBzGMzkVt2dIe9yU+hmIw/85yHL0lEOKlmE7PpdOiQum
	axT7GyhXz9VmxWq1k3Vr8f3YiJ9Tq2SQCVJXYC/bmKuXnsaKvu414wPgBC4Dewgp8uCA
	HhqZdtCKnepx1WCo343zJdQ0jsbDvMNrawOp8=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=subject:mime-version:content-type:from:in-reply-to:date:cc
	:content-transfer-encoding:message-id:references:to:x-mailer;
	b=V6ISCLIaROsh1jBUssYEaEu1rQGIpz+x7El/EO1U0fU7FDwR/bxipTF8jtXO2DD+RS
	cvGY3oOpux0Ctf/iHLbbbSREYQTLENPmPZRWZu5HNAuaAUt9ZTXd6jl3HhE92niUBuJx
	LhE2wT5UkVFqvUyTiFcghP9TcnJlF55/eUzcU=
Received: by 10.227.37.8 with SMTP id v8mr820787wbd.37.1283688014901;
	Sun, 05 Sep 2010 05:00:14 -0700 (PDT)
Received: from calypso-wifi.julipedia.org (87-198-252-22.static.ptr.magnet.ie
	[87.198.252.22])
	by mx.google.com with ESMTPS id b23sm3568796wbb.22.2010.09.05.05.00.12
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Sun, 05 Sep 2010 05:00:13 -0700 (PDT)
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)
Mime-Version: 1.0 (Apple Message framework v1081)
Content-Type: text/plain; charset=us-ascii
From: Julio Merino <jmmv84@HIDDEN>
In-Reply-To: <87occd8hbe.fsf@HIDDEN>
Date: Sun, 5 Sep 2010 13:02:36 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <5666743B-2157-4D9C-A2AC-0013D052C2A4@HIDDEN>
References: <1283411965.30748.1392965255@HIDDEN>
	<8289C439-EC9F-4D70-85E3-E032DAEBA31F@HIDDEN>
	<yxqmxry2514.fsf@HIDDEN>
	<58A4E91D-E34F-4C20-8143-C0A54ECF8738@HIDDEN>
	<87occd8hbe.fsf@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
X-Mailer: Apple Mail (2.1081)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 6513
Cc: Dan Nicolaescu <dann@HIDDEN>, era eriksson <era@HIDDEN>,
	6513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Sep 4, 2010, at 8:00 PM, Chong Yidong wrote:

> Julio Merino <jmmv84@HIDDEN> writes:
>=20
>>> Do you want to take a stab at it?
>>> Just need to modify the parser for the mtn command...
>>=20
>> Sure, and I actually even tried.  But it's not as easy as changing
>> some regexps... my elisp knowledge tends to zero.  The thing is that
>> the automate interface is good for automatic interaction, but its
>> output is completely different to what the interactive interface
>> provides.  Hence, some of the assumptions currently in the code make
>> it a bit harder to adjust...
>=20
> If you provide several precise examples of the monotone output, =
someone
> else could try.

OK, here they go.  I'm listing all the different calls to mtn that I =
found in vc-mtn, what they are being used for, and what they should be =
instead.

As I mentioned above, the code should be using "mtn automate" instead of =
the commands directly, because the output of the automate subcommands is =
designed to be parseable and to remain stable.

Hope this helps.

=3D=3D=3D> mtn status

This is currently used to determine:

1) The state of a file.
2) The state of a directory.
3) The current branch name.
4) The identifier of the parent revision.

Its output in 0.48 is something like:

---- begin ----
$ mtn status
----------------------------------------------------------------------
Revision: 74b28934c805d0f851ddf65b506b2b294b28bd1f
Parent:   fae253a2ecad09ee873d95fae7c53148708d5496
Author:   jmmv@HIDDEN
Date:     09/05/10 12:41:28
Branch:   testing

Changes against parent fae253a2ecad09ee873d95fae7c53148708d5496

  dropped  dir2
  dropped  dir2/bar
  dropped  file2
  renamed  dir1
       to  dir3
  renamed  file1
       to  file3
  added    dir4
  added    dir4/baz
  added    file4
  patched  file0

---- end ----

1, 2 and 4 should be obtained using "mtn automate get_current_revision":

---- begin ----
$ mtn automate get_current_revision
format_version "1"

new_manifest [ebc50c8bd814864861acc5a3cbf8596e2f6424ca]

old_revision [fae253a2ecad09ee873d95fae7c53148708d5496]

delete "dir2"

delete "dir2/bar"

delete "file2"

rename "dir1"
    to "dir3"

rename "file1"
    to "file3"

add_dir "dir4"

add_file "dir4/baz"
 content [da39a3ee5e6b4b0d3255bfef95601890afd80709]

add_file "file4"
 content [da39a3ee5e6b4b0d3255bfef95601890afd80709]

patch "file0"
 from [da39a3ee5e6b4b0d3255bfef95601890afd80709]
   to [c2dfb20012cea6a8088917c6edea86db619000c8]
---- end ----

To get 3, aka the current branch name, one has to obtain the =
old_revision value from the output above and run "mtn automate certs" on =
it, to later get the value of the "branch" certificate:

---- begin ----
mtn automate certs fae253a2ecad09ee873d95fae7c53148708d5496
      key [6ea96157b01677a59e263d6b82337b781ce57370]
signature "ok"
     name "author"
    value "jmmv@HIDDEN"
    trust "trusted"

      key [6ea96157b01677a59e263d6b82337b781ce57370]
signature "ok"
     name "branch"
    value "testing"
    trust "trusted"

      key [6ea96157b01677a59e263d6b82337b781ce57370]
signature "ok"
     name "changelog"
    value "Another.
"
    trust "trusted"

      key [6ea96157b01677a59e263d6b82337b781ce57370]
signature "ok"
     name "date"
    value "2010-09-05T09:08:42"
    trust "trusted"
---- end ----

=3D=3D=3D> mtn cat -r

Use "mtn -r <revision id> automate get_file_of <filename>" instead.

=3D=3D=3D> mtn list tags

Use "mtn automate tags":

---- begin ----
$ mtn automate tags
     tag "atf-0.1"
revision [b5177db1b525d850f0df932506cf6a0910eb1696]
  signer [6ea96157b01677a59e263d6b82337b781ce57370]
branches "org.NetBSD.atf.src"

     tag "atf-0.10"
revision [bab5e0f99e767de2e6650bf3c1aa7a7aad23a915]
  signer [6ea96157b01677a59e263d6b82337b781ce57370]
branches "org.NetBSD.atf.src"

     tag "atf-0.2"
revision [d448334ad6893ecd494228e8d5555272adcc5643]
  signer [6ea96157b01677a59e263d6b82337b781ce57370]
branches "org.NetBSD.atf.src"
[... more similar entries ...]
---- end ----

=3D=3D=3D> mtn list branches

Use "mtn automate branches":

---- begin ----
$ mtn automate branches
org.NetBSD.atf.htdocs
org.NetBSD.atf.src
org.NetBSD.atf.src.doc
org.NetBSD.atf.src.reorg
---- end ----

=3D=3D=3D> mtn add
=3D=3D=3D> mtn commit -m
=3D=3D=3D> mtn revert
=3D=3D=3D> mtn log
=3D=3D=3D> mtn diff
=3D=3D=3D> mtn annotate
=3D=3D=3D> mtn complete revision

Can't find how to do these with the automate interface, so they should =
remain as they are.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 4 Sep 2010 18:58:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 14:58:50 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Orxwv-0002eH-Nq
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2010 14:58:49 -0400
Received: from pantheon-po15.its.yale.edu ([130.132.50.71])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <cyd@HIDDEN>) id 1Orxwu-0002eC-9d
	for 6513 <at> debbugs.gnu.org; Sat, 04 Sep 2010 14:58:48 -0400
Received: from furry (173-14-147-246-NewEngland.hfc.comcastbusiness.net
	[173.14.147.246]) (authenticated bits=0)
	by pantheon-po15.its.yale.edu (8.12.11.20060308/8.12.11) with ESMTP id
	o84J0bRD026202
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT);
	Sat, 4 Sep 2010 15:00:37 -0400
Received: by furry (Postfix, from userid 1000)
	id 1EBF9C018; Sat,  4 Sep 2010 15:00:37 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: Julio Merino <jmmv84@HIDDEN>
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)
References: <1283411965.30748.1392965255@HIDDEN>
	<8289C439-EC9F-4D70-85E3-E032DAEBA31F@HIDDEN>
	<yxqmxry2514.fsf@HIDDEN>
	<58A4E91D-E34F-4C20-8143-C0A54ECF8738@HIDDEN>
Date: Sat, 04 Sep 2010 15:00:37 -0400
In-Reply-To: <58A4E91D-E34F-4C20-8143-C0A54ECF8738@HIDDEN> (Julio Merino's
	message of "Fri, 3 Sep 2010 17:02:01 +0100")
Message-ID: <87occd8hbe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-YaleITSMailFilter: Version 1.2c (attachment(s) not renamed)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6513
Cc: Dan Nicolaescu <dann@HIDDEN>, era eriksson <era@HIDDEN>,
	6513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

Julio Merino <jmmv84@HIDDEN> writes:

>> Do you want to take a stab at it?
>> Just need to modify the parser for the mtn command...
>
> Sure, and I actually even tried.  But it's not as easy as changing
> some regexps... my elisp knowledge tends to zero.  The thing is that
> the automate interface is good for automatic interaction, but its
> output is completely different to what the interactive interface
> provides.  Hence, some of the assumptions currently in the code make
> it a bit harder to adjust...

If you provide several precise examples of the monotone output, someone
else could try.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 3 Sep 2010 16:00:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 12:00:22 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OrYgg-0007LM-J0
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2010 12:00:22 -0400
Received: from mail-ey0-f172.google.com ([209.85.215.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jmmv84@HIDDEN>) id 1OrYge-0007LH-DG
	for 6513 <at> debbugs.gnu.org; Fri, 03 Sep 2010 12:00:21 -0400
Received: by eyd10 with SMTP id 10so1126064eyd.3
	for <6513 <at> debbugs.gnu.org>; Fri, 03 Sep 2010 09:02:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:cc:message-id:from:to
	:in-reply-to:content-type:content-transfer-encoding:mime-version
	:subject:date:references:x-mailer;
	bh=dlF7Hflixa2NcgH2ziva3fgnUkx5+oSbTBCC3K2WeT8=;
	b=muJUYdX+jKmUBLiVZNciOr/es4craOdu0pKyvPBUWGBcRoFrlqClG0FtVfXUjjQEhi
	/JOUT4hk3znWEJCdNiyC2WFRh+uMp2F+VX6uDGlUxU0KcM4FSixPSWP6EokF8H5Xdzy+
	GMHJxIP0Zsz8dMbv3LiYqd+0mKwgrzT+LT8Ks=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=cc:message-id:from:to:in-reply-to:content-type
	:content-transfer-encoding:mime-version:subject:date:references
	:x-mailer;
	b=deNLmMnmnf1UbIEyVRXPcgyjyukhai34UtrZWrcrOytTZEr+lYSpaqtfUKY+GM7ybj
	pbkR8mk1ZgicluXfjxiZ+6OQ1/dfOYoFXZ20v6tC85gQbOIpGiQrkVX6Z7379It1FnYe
	DS+cJVSMa+om1g7DrKHtmHB/4bZjCj0kP3DMY=
Received: by 10.213.17.7 with SMTP id q7mr70902eba.23.1283529725835;
	Fri, 03 Sep 2010 09:02:05 -0700 (PDT)
Received: from dhcp-172-26-175-101.dub.corp.google.com
	(dhcp-172-26-175-101.dub.corp.google.com [172.26.175.101])
	by mx.google.com with ESMTPS id v8sm2949185eeh.8.2010.09.03.09.02.03
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Fri, 03 Sep 2010 09:02:04 -0700 (PDT)
Message-Id: <58A4E91D-E34F-4C20-8143-C0A54ECF8738@HIDDEN>
From: Julio Merino <jmmv84@HIDDEN>
To: Dan Nicolaescu <dann@HIDDEN>
In-Reply-To: <yxqmxry2514.fsf@HIDDEN>
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v936)
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)
Date: Fri, 3 Sep 2010 17:02:01 +0100
References: <1283411965.30748.1392965255@HIDDEN>
	<8289C439-EC9F-4D70-85E3-E032DAEBA31F@HIDDEN>
	<yxqmxry2514.fsf@HIDDEN>
X-Mailer: Apple Mail (2.936)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org, era eriksson <era@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

On Sep 3, 2010, at 4:57 PM, Dan Nicolaescu wrote:
>> I have found the following to be a better workaround:
>
> A better workaround is to disable the monotone backend:
>
> (setq vc-handled-backends (delq 'Mtn vc-handled-backends))

Cool, that's what I've been waiting for.

>> ; Trick vc-mtn into not finding monotone.  It's currently completely
>> broken
>> ; with monotone 0.48.
>> (setq vc-mtn-program "non-existent")
>> -----
>>
>> Still, I'd love to see this fixed.
>
> Do you want to take a stab at it?
> Just need to modify the parser for the mtn command...

Sure, and I actually even tried.  But it's not as easy as changing  
some regexps... my elisp knowledge tends to zero.  The thing is that  
the automate interface is good for automatic interaction, but its  
output is completely different to what the interactive interface  
provides.  Hence, some of the assumptions currently in the code make  
it a bit harder to adjust...




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 3 Sep 2010 15:56:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 11:56:17 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OrYcj-0007JH-CT
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2010 11:56:17 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1OrYch-0007JA-16
	for 6513 <at> debbugs.gnu.org; Fri, 03 Sep 2010 11:56:15 -0400
Received: from dann by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <dann@HIDDEN>)
	id 1OrYeN-0007Ja-V3; Fri, 03 Sep 2010 11:57:59 -0400
To: Julio Merino <jmmv84@HIDDEN>
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)
References: <1283411965.30748.1392965255@HIDDEN>
	<8289C439-EC9F-4D70-85E3-E032DAEBA31F@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
X-Debbugs-No-Ack: yes
Date: Fri, 03 Sep 2010 11:57:59 -0400
In-Reply-To: <8289C439-EC9F-4D70-85E3-E032DAEBA31F@HIDDEN> (Julio Merino's
	message of "Thu\, 2 Sep 2010 09\:47\:08 +0100")
Message-ID: <yxqmxry2514.fsf@HIDDEN>
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org, era eriksson <era@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.5 (------)

Julio Merino <jmmv84@HIDDEN> writes:

> On Sep 2, 2010, at 8:19 AM, era eriksson wrote:
>
>> According to downstream Debian bug #590262 it only fails the first
>> time
>> you try to visit the file; trying again supposedly succeeds.
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590262
>>
>> Hope this helps,
>
> I have found the following to be a better workaround:

A better workaround is to disable the monotone backend:

(setq vc-handled-backends (delq 'Mtn vc-handled-backends))


> ; Trick vc-mtn into not finding monotone.  It's currently completely
> broken
> ; with monotone 0.48.
> (setq vc-mtn-program "non-existent")
> -----
>
> Still, I'd love to see this fixed.

Do you want to take a stab at it?
Just need to modify the parser for the mtn command...




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 2 Sep 2010 08:45:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 02 04:45:32 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Or5QJ-0000wV-Tf
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2010 04:45:32 -0400
Received: from mail-ew0-f44.google.com ([209.85.215.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jmmv84@HIDDEN>) id 1Or5QH-0000wQ-CE
	for 6513 <at> debbugs.gnu.org; Thu, 02 Sep 2010 04:45:29 -0400
Received: by ewy22 with SMTP id 22so71591ewy.3
	for <6513 <at> debbugs.gnu.org>; Thu, 02 Sep 2010 01:47:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:cc:message-id:from:to
	:in-reply-to:content-type:content-transfer-encoding:mime-version
	:subject:date:references:x-mailer;
	bh=qYBt6jnEkXGTnAQQe9fc+P7ZfFRUrQYcu/UV80s/Tvk=;
	b=DHr2Zn9vhh7699Y7Mjr7wao5pwnyCz/bezBYd7eZlVfk3gQgWSgGC7Re2/w+Cthg4K
	aSUjXXiHqo+UUNCDCRFz4kAOKZhv6yk7cze9wzli080U/wpvTSzgqzCyzbnIAs+97Wy3
	LsI9CCA75TXdwq/TIaXo/ZavIS2HUPjrIvr0E=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=cc:message-id:from:to:in-reply-to:content-type
	:content-transfer-encoding:mime-version:subject:date:references
	:x-mailer;
	b=dT1wA8bTSEc7+RUHxbnOC0oUSDVISJcFiFuPoJaZic4euUt0rM7+aIgeLjcCs0nT3F
	uBjsICiKtJhJAWIF305IIYDi/ClxHAZr/zJ0HEPFf6Ignha0mbefNekfjPMfzlnlzHhZ
	qRp3zeXGCykEK0/In5CpYJ7frLpKb/xsYSmKM=
Received: by 10.213.21.140 with SMTP id j12mr13034074ebb.98.1283417231247;
	Thu, 02 Sep 2010 01:47:11 -0700 (PDT)
Received: from dhcp-172-26-175-101.dub.corp.google.com
	(dhcp-172-26-175-101.dub.corp.google.com [172.26.175.101])
	by mx.google.com with ESMTPS id v8sm345826eeh.14.2010.09.02.01.47.09
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Thu, 02 Sep 2010 01:47:10 -0700 (PDT)
Message-Id: <8289C439-EC9F-4D70-85E3-E032DAEBA31F@HIDDEN>
From: Julio Merino <jmmv84@HIDDEN>
To: era eriksson <era@HIDDEN>
In-Reply-To: <1283411965.30748.1392965255@HIDDEN>
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
Content-Transfer-Encoding: 7bit
Mime-Version: 1.0 (Apple Message framework v936)
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)
Date: Thu, 2 Sep 2010 09:47:08 +0100
References: <1283411965.30748.1392965255@HIDDEN>
X-Mailer: Apple Mail (2.936)
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

On Sep 2, 2010, at 8:19 AM, era eriksson wrote:

> According to downstream Debian bug #590262 it only fails the first  
> time
> you try to visit the file; trying again supposedly succeeds.
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590262
>
> Hope this helps,

I have found the following to be a better workaround:

-----
; Trick vc-mtn into not finding monotone.  It's currently completely  
broken
; with monotone 0.48.
(setq vc-mtn-program "non-existent")
-----

Still, I'd love to see this fixed.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 2 Sep 2010 07:38:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 02 03:38:12 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Or4N9-0000VW-MJ
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2010 03:38:12 -0400
Received: from out1.smtp.messagingengine.com ([66.111.4.25])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <era@HIDDEN>) id 1Or43L-0000Ne-0Q
	for 6513 <at> debbugs.gnu.org; Thu, 02 Sep 2010 03:17:43 -0400
Received: from compute2.internal (compute2.nyi.mail.srv.osa [10.202.2.42])
	by gateway1.messagingengine.com (Postfix) with ESMTP id 35F932D8;
	Thu,  2 Sep 2010 03:19:25 -0400 (EDT)
Received: from web2.messagingengine.com ([10.202.2.212])
	by compute2.internal (MEProxy); Thu, 02 Sep 2010 03:19:25 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=messagingengine.com;
	h=message-id:from:to:cc:mime-version:content-transfer-encoding:content-type:subject:date;
	s=smtpout; bh=4U5JI6fNMFO7/IcaJlIjqkmdN84=;
	b=muY2DyXUmiC/0PcKkJL+mdSI46hRY08o6W0IyfIIsC8jjWbkcPEhxkhuVyh4L+TDX8Gblgwz2S7oUkW6EVDoUftPyRYVmxZ8urGBfY1BRGJN/z9mF+9Oui0HBg181zx+CU55fTigPaQyHdT5F14NIuReFnfl7EFL3HQ2XPmKSxA=
Received: by web2.messagingengine.com (Postfix, from userid 99)
	id 16C9EF20ACC; Thu,  2 Sep 2010 03:19:25 -0400 (EDT)
Message-Id: <1283411965.30748.1392965255@HIDDEN>
X-Sasl-Enc: VPL5Mp/zVvTW0JLMra3xsQkWR/zwxjGx+CMepDuW3FwJ 1283411965
From: "era eriksson" <era@HIDDEN>
To: jmmv84@HIDDEN
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="us-ascii"
X-Mailer: MessagingEngine.com Webmail Interface
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)
Date: Thu, 02 Sep 2010 10:19:25 +0300
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 6513
X-Mailman-Approved-At: Thu, 02 Sep 2010 03:38:10 -0400
Cc: 6513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

According to downstream Debian bug #590262 it only fails the first time
you try to visit the file; trying again supposedly succeeds.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590262

Hope this helps,

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 10 Jul 2010 15:21:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 10 11:21:11 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OXbrb-00071r-DF
	for submit <at> debbugs.gnu.org; Sat, 10 Jul 2010 11:21:11 -0400
Received: from mail-iw0-f172.google.com ([209.85.214.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jmmv84@HIDDEN>) id 1OXbrZ-00071l-4I
	for 6513 <at> debbugs.gnu.org; Sat, 10 Jul 2010 11:21:09 -0400
Received: by iwn38 with SMTP id 38so2998730iwn.3
	for <6513 <at> debbugs.gnu.org>; Sat, 10 Jul 2010 08:21:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type;
	bh=xpkjnA1AvcnosA84aMfTkoD5EeTtQ3lfsGC+pO8I+Lw=;
	b=E9sVZcIS8M1m7oRHtOyooWVXm/oqOEd0pltiTYdbHLd2XPU3LST7r5Ujbk6neZdmwr
	ttxHA6/7CCsVFzkrlaQ3jHEsyUbSGvf4e6AB3NsG1ILNsKfgKi+Do6ob9povOa/zxDR8
	dbY3imDIVIBO+Xkts1Teciv8PX+B9EwANmdDY=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	b=Dk1gL5uBCIkmSmyDUwnpHmtKFrpYNQfRqAR647ycEd7HYi4z9f2Y68X6Ng29Bv/Gj/
	jNjQqI1batmmZ7BFhXc7GlxcJdxIbxHSBcjxyCWxdkycMiFtCm/I5TFma9KHO+Kh3mMK
	EW/kUIh5acJ9CklXkfJfX9RfB+vvlG2dWTdNA=
Received: by 10.231.184.71 with SMTP id cj7mr3855463ibb.159.1278775266235; 
	Sat, 10 Jul 2010 08:21:06 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.231.205.196 with HTTP; Sat, 10 Jul 2010 08:20:46 -0700 (PDT)
In-Reply-To: <AANLkTimgv3S0DDbppVa-qNAbMnf2Y_hBIEjgo7jzs09p@HIDDEN>
References: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN> 
	<jwvbpax77nf.fsf-monnier+emacs@HIDDEN>
	<AANLkTimgv3S0DDbppVa-qNAbMnf2Y_hBIEjgo7jzs09p@HIDDEN>
From: Julio Merino <jmmv84@HIDDEN>
Date: Sat, 10 Jul 2010 16:20:46 +0100
Message-ID: <AANLkTinqSgcgADVaQUapkmdygOWW46W9Oa9_TGZA4XmY@HIDDEN>
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open 
	files)
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On Sun, Jun 27, 2010 at 12:45 AM, Julio Merino <jmmv84@HIDDEN> wrote:
> On Sat, Jun 26, 2010 at 11:27 PM, Stefan Monnier
> <monnier@HIDDEN> wrote:
>>> Wrong type argument: stringp, nil
>>
>> Try "Options => Enter Debugger on Error" and reproduce the bug, to get
>> a backtrace.
>
> Here comes one:
[...]

ping!

Any update on this?  Is it there any easy workaround to, for example,
tell emacs not to load vc-mtn at all?

Thanks.

-- 
Julio Merino




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 26 Jun 2010 23:45:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 26 19:45:56 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OSf4N-0006eJ-TG
	for submit <at> debbugs.gnu.org; Sat, 26 Jun 2010 19:45:56 -0400
Received: from mail-iw0-f172.google.com ([209.85.214.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jmmv84@HIDDEN>) id 1OSf4L-0006eE-Lj
	for 6513 <at> debbugs.gnu.org; Sat, 26 Jun 2010 19:45:54 -0400
Received: by iwn40 with SMTP id 40so611961iwn.3
	for <6513 <at> debbugs.gnu.org>; Sat, 26 Jun 2010 16:45:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=g9t9MRKa/7ODfPtf2gEe7q9nAxCXcSJ7bxc4LCvIe0c=;
	b=AlJyZu34UrVSeNE4IJF2Sl18T/VV6uuitA3Mjp32cPZ8arUDqUrug1JVnTFonZ5oSf
	5m0IM5z+BIe+bFTY3HuKMMYWdWo6HMngnMqNpZgLxCR9KzS8SkO4x5kAeZYx8TKTnu7d
	dVXvwWfbGIjtR1x8ZfIQvdl7sqXCMZ1qbn+jE=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=ZrE9nMQShDlZR7otI/M5Xz575VOpNh178jqHqGGeiUTlvGLNOkKa/TDztCnQmBPJLh
	YdYyuFMKVaGnIgg6Q8veT9U3SRI1GfnqaBrSQO4TSc7PqSwaCC7LBBtcnSBQdvXZ2X1D
	gRhlXEbCHkGcuU8pHBibGzh/Z8AvUWxZvI/bg=
Received: by 10.231.148.130 with SMTP id p2mr2741370ibv.11.1277595949203; Sat, 
	26 Jun 2010 16:45:49 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.231.206.202 with HTTP; Sat, 26 Jun 2010 16:45:29 -0700 (PDT)
In-Reply-To: <jwvbpax77nf.fsf-monnier+emacs@HIDDEN>
References: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN> 
	<jwvbpax77nf.fsf-monnier+emacs@HIDDEN>
From: Julio Merino <jmmv84@HIDDEN>
Date: Sun, 27 Jun 2010 00:45:29 +0100
Message-ID: <AANLkTimgv3S0DDbppVa-qNAbMnf2Y_hBIEjgo7jzs09p@HIDDEN>
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open 
	files)
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

On Sat, Jun 26, 2010 at 11:27 PM, Stefan Monnier
<monnier@HIDDEN> wrote:
>> Wrong type argument: stringp, nil
>
> Try "Options =3D> Enter Debugger on Error" and reproduce the bug, to get
> a backtrace.

Here comes one:

Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  string-match("\\`[^:/#]*[:/#]" nil)
  vc-mtn-mode-line-string("/home/jmmv/os/atf/2/atf-c++.hpp")
  apply(vc-mtn-mode-line-string "/home/jmmv/os/atf/2/atf-c++.hpp")
  vc-call-backend(Mtn mode-line-string "/home/jmmv/os/atf/2/atf-c++.hpp")
  vc-mode-line("/home/jmmv/os/atf/2/atf-c++.hpp" Mtn)
  vc-find-file-hook()
  run-hooks(find-file-hook)
  after-find-file(nil t)
  find-file-noselect-1(#<buffer atf-c++.hpp> "~/os/atf/2/atf-c++.hpp"
nil nil "~/os/atf/2/atf-c++.hpp" (22103647 0))
  find-file-noselect("~/os/atf/2/atf-c++.hpp" nil nil t)
  find-file("~/os/atf/2/atf-c++.hpp" t)
  call-interactively(find-file nil nil)

>> The fix is to stop using random mtn commands in vc-mtn and change the
>> code to *only* use subcommands of 'mtn automate'. =A0'automate' is The
>> interface to interact with monotone from other applications, because
>> it exposes a stable interface with well-defined intput/output
>> semantics.
>
> Thank you, that is very useful to know.
> I wrote vc-mtn.el a long time ago but don't actually use Monotone much
> these days and don't have much time to devote to it, so if you could
> help us fix it, that would be really appreciated.

I'd like to help in fixing it, and I actually tried to do it myself...
but my elisp skills are quite rudimentary and I don't have that much
time to learn it right now :-P  That said, fixing the code shouldn't
be that hard; just a matter of renaming some commands and changing the
regular expressions used to deal with the results.

The major offending command that is causing breakage seems to be "mtn
status" and, in particular, regexes like:

    (re-search-forward "Branch: \\(.*\\)\n.*\nChanges against parent
\\(.*\\)" nil t)
    (while (re-search-forward
           "^  \\(?:\\(patched  \\)\\|\\(added    \\)\\)\\(.*\\)$" nil t)

I suggest changing the code to use "monotone automate
get_current_revision", which yields an output like:

-----
$ mtn automate get_current_revision
format_version "1"

new_manifest [6466cf3b1c785b949d02ef85daea66bd42a0d140]

old_revision [6aa25b8d86bd92a304ec21edd1374f56077ea658]

add_file "foo"
 content [da39a3ee5e6b4b0d3255bfef95601890afd80709]

patch "atf-check/atf-check.cpp"
 from [a200c3b32c0e7676797d20a188d4c20963b4d10e]
   to [ae4801edb72c0486c7652c030fc3f8196b21840e]

patch "test-programs/result_test.sh"
 from [398f9f2beba40eb66d93d1b424e4ea703d16f6f0]
   to [584a05bec8a359759b2f82d39862f43c9d4d794a]
-----

Note the version number at the top of the output, which can be used to
detect if the output is compatible with what the code expects.  Also
note the add_file, patch and old_revision lines, which should match
old previous regexp patterns.

I can probably invest some time tomorrow trying to find what is the
best way to implement every mtn command through the automate
interface.  But it'd be nice if we fixed first the show stoppers.

But, anyway, please take a look at:

     http://monotone.ca/docs/Automation.html#Automation

It describes all automate commands, their output and their
compatibility.  It seems to be pretty well documented :-)

--=20
Julio Merino




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 26 Jun 2010 22:28:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 26 18:28:05 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OSdr2-00069H-VJ
	for submit <at> debbugs.gnu.org; Sat, 26 Jun 2010 18:28:05 -0400
Received: from smtp-01.vtx.ch ([194.38.175.90])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1OSdr1-00068u-Et
	for 6513 <at> debbugs.gnu.org; Sat, 26 Jun 2010 18:28:04 -0400
Received: from ceviche.home (dyn.144-85-136-075.dsl.vtx.ch [144.85.136.75])
	by smtp-01.vtx.ch (VTX Services SA) with ESMTP id E1B8527EE3;
	Sun, 27 Jun 2010 00:27:58 +0200 (CEST)
Received: by ceviche.home (Postfix, from userid 20848)
	id E3816660F2; Sun, 27 Jun 2010 00:27:58 +0200 (CEST)
From: Stefan Monnier <monnier@HIDDEN>
To: Julio Merino <jmmv84@HIDDEN>
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)
Message-ID: <jwvbpax77nf.fsf-monnier+emacs@HIDDEN>
References: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
Date: Sun, 27 Jun 2010 00:27:58 +0200
In-Reply-To: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
	(Julio Merino's message of "Fri, 25 Jun 2010 10:16:35 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

> Wrong type argument: stringp, nil

Try "Options => Enter Debugger on Error" and reproduce the bug, to get
a backtrace.

> The fix is to stop using random mtn commands in vc-mtn and change the
> code to *only* use subcommands of 'mtn automate'.  'automate' is The
> interface to interact with monotone from other applications, because
> it exposes a stable interface with well-defined intput/output
> semantics.

Thank you, that is very useful to know.
I wrote vc-mtn.el a long time ago but don't actually use Monotone much
these days and don't have much time to devote to it, so if you could
help us fix it, that would be really appreciated.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at 6513 <at> debbugs.gnu.org:


Received: (at 6513) by debbugs.gnu.org; 25 Jun 2010 21:34:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 25 17:34:24 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OSGXY-0003ZV-6f
	for submit <at> debbugs.gnu.org; Fri, 25 Jun 2010 17:34:24 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1OSGXW-0003ZP-Db
	for 6513 <at> debbugs.gnu.org; Fri, 25 Jun 2010 17:34:22 -0400
Received: from dann by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <dann@HIDDEN>)
	id 1OSGXR-0002i7-RR; Fri, 25 Jun 2010 17:34:17 -0400
To: Julio Merino <jmmv84@HIDDEN>
Subject: Re: bug#6513: vc-mtn broken with monotone 0.48 (can't even open files)
References: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
X-Debbugs-No-Ack: yes
Date: Fri, 25 Jun 2010 17:34:17 -0400
In-Reply-To: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
	(Julio Merino's message of "Fri\, 25 Jun 2010 10\:16\:35 +0100")
Message-ID: <yxqy6e294py.fsf@HIDDEN>
User-Agent: Gnus/5.11 (Gnus v5.11) Emacs/22.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: 6513
Cc: 6513 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.5 (------)

Julio Merino <jmmv84@HIDDEN> writes:

> The vc-mtn emacs module in emacs 23.2.1 does not work with monotone
> 0.48.  This prevents editing *any* file tracked by monotone.  Whenever
> I attempt to open a file that is tracked by monotone, emacs spits out
> the following in the minibuffer and fails to open the file:
>
> Wrong type argument: stringp, nil
>
> The problem is most likely related to some user interface changes that
> happened in monotone 0.48: some commands such as 'mtn status' have
> changed their output and thus the regular expressions bundled in
> vc-mtn do not yield the correct matches.

Yep, the regexp used by vc-mtn-workfile-branch no longer matches the
mtn status output.

> The fix is to stop using random mtn commands in vc-mtn and change the
> code to *only* use subcommands of 'mtn automate'.  'automate' is The
> interface to interact with monotone from other applications, because
> it exposes a stable interface with well-defined intput/output
> semantics.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jun 2010 18:10:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 25 14:10:13 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OSDLw-0002BH-86
	for submit <at> debbugs.gnu.org; Fri, 25 Jun 2010 14:10:12 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jmmv84@HIDDEN>) id 1OSD5q-000244-Db
	for submit <at> debbugs.gnu.org; Fri, 25 Jun 2010 13:53:35 -0400
Received: from lists.gnu.org ([199.232.76.165]:32820)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <jmmv84@HIDDEN>) id 1OSD5l-00034P-Si
	for submit <at> debbugs.gnu.org; Fri, 25 Jun 2010 13:53:29 -0400
Received: from [140.186.70.92] (port=44789 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OSD5g-0002hO-0D
	for bug-gnu-emacs@HIDDEN; Fri, 25 Jun 2010 13:53:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.3 required=5.0 tests=BAYES_00,
	FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID,
	T_TO_NO_BRKTS_FREEMAIL autolearn=no version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <jmmv84@HIDDEN>) id 1OS51u-0006zo-Dm
	for bug-gnu-emacs@HIDDEN; Fri, 25 Jun 2010 05:16:59 -0400
Received: from mail-iw0-f169.google.com ([209.85.214.169]:53316)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jmmv84@HIDDEN>) id 1OS51u-0006zV-9j
	for bug-gnu-emacs@HIDDEN; Fri, 25 Jun 2010 05:16:58 -0400
Received: by iwn9 with SMTP id 9so51874iwn.0
	for <bug-gnu-emacs@HIDDEN>; Fri, 25 Jun 2010 02:16:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:from:date
	:message-id:subject:to:content-type;
	bh=k0N70s+UcUtquxHoJaRkFn4haSoSYsx0W4/k1geuD68=;
	b=gQGjODZAxUYGnbN1oNpf04HENer8DlwJTUXpuTE+1/Mxq2xOX2rLnU+A+eczmu82ko
	tSK18ahwM/Eey8Rdxvei6uSsJJyyeRyBD3ha1Y4QwwEFEFvAU/kNDbb1EK5JN5Xd8rWR
	CoP9QiKRML44wCL7agN0tUBy6p6omCEDDECIc=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:from:date:message-id:subject:to:content-type;
	b=GLg9IaRnCUonUT6AYgsc9olk9rALc/blnXPktjOfO1nZQoU7SHkylQWs211qGb6hWq
	66F32+mHpv+uAcE8tW3ldmRdDMSPKapGFfWC04eg2aN6lWhS7lwqu6apWOfjML6UB1of
	NJX1/+dQEGvPRqQN3hM9BCV8A5gRQeg8W0E1w=
Received: by 10.231.210.19 with SMTP id gi19mr403228ibb.140.1277457415176; 
	Fri, 25 Jun 2010 02:16:55 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.231.37.131 with HTTP; Fri, 25 Jun 2010 02:16:35 -0700 (PDT)
From: Julio Merino <jmmv84@HIDDEN>
Date: Fri, 25 Jun 2010 10:16:35 +0100
Message-ID: <AANLkTin2mxHUOCNTYilXKQ9vZKQ7MQGCAckdJboPPFRa@HIDDEN>
Subject: vc-mtn broken with monotone 0.48 (can't even open files)
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 25 Jun 2010 14:10:11 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

The vc-mtn emacs module in emacs 23.2.1 does not work with monotone
0.48.  This prevents editing *any* file tracked by monotone.  Whenever
I attempt to open a file that is tracked by monotone, emacs spits out
the following in the minibuffer and fails to open the file:

Wrong type argument: stringp, nil

The problem is most likely related to some user interface changes that
happened in monotone 0.48: some commands such as 'mtn status' have
changed their output and thus the regular expressions bundled in
vc-mtn do not yield the correct matches.

The fix is to stop using random mtn commands in vc-mtn and change the
code to *only* use subcommands of 'mtn automate'.  'automate' is The
interface to interact with monotone from other applications, because
it exposes a stable interface with well-defined intput/output
semantics.




Acknowledgement sent to Julio Merino <jmmv84@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6513; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 Jun 2022 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.